<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html><head><meta http-equiv="Content-Type" content="text/html;charset=UTF-8">
<title>polylib: matrix.h Source File</title>
<link href="doxygen.css" rel="stylesheet" type="text/css">
<link href="tabs.css" rel="stylesheet" type="text/css">
</head><body>
<!-- Generated by Doxygen 1.5.6 -->
<div class="navigation" id="top">
  <div class="tabs">
    <ul>
      <li><a href="main.html"><span>Main&nbsp;Page</span></a></li>
      <li><a href="annotated.html"><span>Classes</span></a></li>
      <li class="current"><a href="files.html"><span>Files</span></a></li>
    </ul>
  </div>
<h1>matrix.h</h1><a href="matrix_8h.html">Go to the documentation of this file.</a><div class="fragment"><pre class="fragment"><a name="l00001"></a>00001 <span class="preprocessor">#ifndef _matrix_H_</span>
<a name="l00002"></a>00002 <span class="preprocessor"></span><span class="preprocessor">#define _matrix_H_</span>
<a name="l00003"></a>00003 <span class="preprocessor"></span>
<a name="l00004"></a>00004 <span class="preprocessor">#if defined(__cplusplus)</span>
<a name="l00005"></a>00005 <span class="preprocessor"></span><span class="keyword">extern</span> <span class="stringliteral">"C"</span> {
<a name="l00006"></a>00006 <span class="preprocessor">#endif</span>
<a name="l00007"></a>00007 <span class="preprocessor"></span>
<a name="l00008"></a>00008 <span class="keyword">extern</span> <a class="code" href="structmatrix.html">Matrix</a> *<a class="code" href="matrix_8c.html#c0b29e1d99a2823ad00b5f2157879d80">Matrix_Alloc</a>(<span class="keywordtype">unsigned</span> NbRows, <span class="keywordtype">unsigned</span> NbColumns);
<a name="l00009"></a>00009 <span class="keyword">extern</span> <span class="keywordtype">void</span> <a class="code" href="matrix_8c.html#fcb312b7c12a6997cd66964ecc34e1a6">Matrix_Free</a>(<a class="code" href="structmatrix.html">Matrix</a> *Mat);
<a name="l00010"></a>00010 <span class="keyword">extern</span> <span class="keywordtype">void</span> <a class="code" href="matrix_8c.html#22b92aad923f05a327d06d761f0396e0">Matrix_Extend</a>(<a class="code" href="structmatrix.html">Matrix</a> *Mat, <span class="keywordtype">unsigned</span> NbRows);
<a name="l00011"></a>00011 <span class="keyword">extern</span> <span class="keywordtype">void</span> <a class="code" href="matrix_8c.html#d4c3c350dba633f72bbcf3609b6b67d7">Matrix_Print</a>(FILE * Dst, <span class="keyword">const</span> <span class="keywordtype">char</span> *Format, <a class="code" href="structmatrix.html">Matrix</a> *Mat);
<a name="l00012"></a>00012 <span class="keyword">extern</span> <span class="keywordtype">void</span> <a class="code" href="matrix_8c.html#40c219a9893d0f0ea7f9448ad27fcc3d">Matrix_Read_Input</a>(<a class="code" href="structmatrix.html">Matrix</a> *Mat);
<a name="l00013"></a>00013 <span class="keyword">extern</span> <a class="code" href="structmatrix.html">Matrix</a> *<a class="code" href="matrix_8c.html#3a087ae9a03d5baf0b81831177931143">Matrix_Read</a>(<span class="keywordtype">void</span>);
<a name="l00014"></a>00014 <span class="keyword">extern</span> <span class="keywordtype">void</span> <a class="code" href="matrix_8c.html#9d112ac078583626580f848b51a515f3">right_hermite</a>(<a class="code" href="structmatrix.html">Matrix</a> *A,<a class="code" href="structmatrix.html">Matrix</a> **Hp,<a class="code" href="structmatrix.html">Matrix</a> **Up,<a class="code" href="structmatrix.html">Matrix</a>
<a name="l00015"></a>00015                           **Qp);
<a name="l00016"></a>00016 <span class="keyword">extern</span> <span class="keywordtype">void</span> <a class="code" href="matrix_8c.html#dcbe5ee3f0c28fb35aed49f4e1f40f5b">left_hermite</a>(<a class="code" href="structmatrix.html">Matrix</a> *A,<a class="code" href="structmatrix.html">Matrix</a> **Hp,<a class="code" href="structmatrix.html">Matrix</a> **Qp,<a class="code" href="structmatrix.html">Matrix</a>
<a name="l00017"></a>00017                          **Up);
<a name="l00018"></a>00018 <span class="keyword">extern</span> <span class="keywordtype">int</span> <a class="code" href="matrix_8c.html#e2b2f031eb75c5011091536d7ef4befc">MatInverse</a>(<a class="code" href="structmatrix.html">Matrix</a> *M,<a class="code" href="structmatrix.html">Matrix</a> *MInv);
<a name="l00019"></a>00019 <span class="keyword">extern</span> <span class="keywordtype">void</span> <a class="code" href="matrix_8c.html#db8526f2ba863572c60b255c8b27c186">rat_prodmat</a>(<a class="code" href="structmatrix.html">Matrix</a> *S,<a class="code" href="structmatrix.html">Matrix</a> *X,<a class="code" href="structmatrix.html">Matrix</a> *P);
<a name="l00020"></a>00020 <span class="keyword">extern</span> <span class="keywordtype">void</span> <a class="code" href="matrix_8c.html#4623e4f52b5c7b43d38dfb14015781ce">Matrix_Vector_Product</a>(<a class="code" href="structmatrix.html">Matrix</a> *mat,Value *p1,Value *p2);
<a name="l00021"></a>00021 <span class="keyword">extern</span> <span class="keywordtype">void</span> <a class="code" href="matrix_8c.html#15129f9f57a6a92234f4226cb71bcb39">Vector_Matrix_Product</a>(Value *p1,<a class="code" href="structmatrix.html">Matrix</a> *mat,Value *p2);
<a name="l00022"></a>00022 <span class="keyword">extern</span> <span class="keywordtype">void</span> <a class="code" href="matrix_8c.html#1e967c74adaa2eec868fd737a55b6624">Matrix_Product</a>(<a class="code" href="structmatrix.html">Matrix</a> *mat1,<a class="code" href="structmatrix.html">Matrix</a> *mat2,<a class="code" href="structmatrix.html">Matrix</a> *mat3);
<a name="l00023"></a>00023 <span class="keyword">extern</span> <span class="keywordtype">int</span> <a class="code" href="matrix_8c.html#97aa755c011357ce2146d71ddb88ded6">Matrix_Inverse</a>(<a class="code" href="structmatrix.html">Matrix</a> *Mat,<a class="code" href="structmatrix.html">Matrix</a> *MatInv);
<a name="l00024"></a>00024 
<a name="l00025"></a>00025 <span class="preprocessor">#if defined(__cplusplus)</span>
<a name="l00026"></a>00026 <span class="preprocessor"></span>}
<a name="l00027"></a>00027 <span class="preprocessor">#endif</span>
<a name="l00028"></a>00028 <span class="preprocessor"></span>
<a name="l00029"></a>00029 <span class="preprocessor">#endif </span><span class="comment">/* _matrix_H_ */</span>
</pre></div></div>
<hr size="1"><address style="text-align: right;"><small>Generated on Tue Sep 15 18:33:59 2009 for polylib by&nbsp;
<a href="http://www.doxygen.org/index.html">
<img src="doxygen.png" alt="doxygen" align="middle" border="0"></a> 1.5.6 </small></address>
</body>
</html>
